#include <Engine/types/entity/InstancedSprite.h>
#include <Engine/Globals.h>

using namespace Engine;
Texture* InstancedSprite::GetTexture() {
    return Globals::CurrentScene->GetInstancedTexture(this);
}

Texture* InstancedSprite::GetAlphaMask() {
    if (Sprite::GetAlphaMask())
        return Sprite::GetAlphaMask();
    return Globals::CurrentScene->GetInstancedAlphaMask(this);
}