#pragma once
#include <Engine/types/entity/Entity.h>
#include <Engine/types/entity/mixins/Movable.h>
#include <Engine/types/entity/mixins/Renderable.h>

namespace Engine {
    class Camera;
}

class Engine::Camera : public Entity, public Movable, public Renderable {
public:
    void Render() override {};
public:
    explicit Camera(const Vector2& position) : Renderable(0), Movable(position) {}
};
