#include "Engine/types/entity/mixins/BoxCollider.h"

using namespace Engine;
bool BoxCollider::BoxCollides(BoxCollider* rhs) {
    if (GetBounds().Intersects(rhs->GetBounds()))
        return true;
    if (GetBounds().Contains(rhs->GetBounds()))
        return true;
    return false;
}

bool BoxCollider::BoxCollides(const Vector2& rhs) {
    return GetBounds().Contains(rhs);
}
